MEGARM(1)

NAME
megarm - Remove files and folders from your Mega.co.nz account

SYNOPSIS

megarm <remotepaths>...
megarm /Contacts/<contactemail>

DESCRIPTION

Removes files and folders from your Mega.co.nz account.

NOTE: This command removes folders recursively without asking. Be careful.

As a special case, by removing a folder under /Contacts, you’re removing a <contactemail> from your contacts list.

OPTIONS

-u <email>, --username <email>
    Account username (email)

-p <password>, --password <password>
    Account password

--config <path>
    Load configuration from a file

--ignore-config-file
    Disable loading .megarc

--no-ask-password
    Never ask interactively for a password

--disable-previews
    Never generate and upload file previews, when uploading new files

--reload
    Reload filesystem cache

--debug [<options>]
    Enable debugging of various aspects of the megatools operation. You may enable multiple debugging options separated by commas. (eg. --debug api,fs)

    Available options are:

        • api: Dump Mega.co.nz API calls

        • fs: Dump Mega.co.nz filesystem (may require --reload to actually print something)

        • cache: Dump cache contents

--version
    Show version information

<remotepaths>
    One or more remote files or directories to remove.

<contactemail>
    Valid email address of a contact you want to remove.

EXAMPLES

    • Remove a folder:

        $ megals /Root
        /Root
        /Root/MyNewFolder
        $ megarm /Root/MyNewFolder
        $ megals /Root
        /Root

    • Remove contact from your contacts list:

        $ megarm /Contacts/some@email.com

REMOTE FILESYSTEM

Mega.co.nz filesystem is represented as a tree of nodes of various types. Nodes are identified by a 8 character node handles (eg. 7Fdi3ZjC). Structure of the filesystem is not encrypted.

Megatools maps node tree structure to a traditional filesystem paths (eg. /Root/SomeFile.DAT).

NOTE: By the nature of Mega.co.nz storage, several files in the directory can have the same name. To allow access to such files, the names of conflicting files are extended by appending dot and their node handle like this:

    /Root/conflictingfile
    /Root/conflictingfile.7Fdi3ZjC
    /Root/conflictingfile.mEU23aSD

You need to be aware of several special folders:

/Root
    Writable directory representing the root of the filesystem.

/Trash
    Trash directory where Mega.co.nz web client moves deleted files. This directory is not used by megatools when removing files.

/Inbox
    Not sure.

/Contacts
    Directory containing subdirectories representing your contacts list. If you want to add contacts to the list, simply create subdirectory named after the contact you want to add.

/Contacts/<email>
    Directories representing individual contacts in your contacts list. These directories contain folders that others shared with you. All shared files are read-only, at the moment.

SEE ALSO

megatools(7), megarc(5), megadf(1), megadl(1), megaget(1), megals(1), megamkdir(1), megaput(1), megareg(1), megarm(1), megacopy(1), megafs(1).

MEGATOOLS

Part of the megatools(7) suite.

BUGS

Report bugs at https://github.com/megous/megatools or megous@megous.com.

AUTHOR

Megatools was written by Ondrej Jirman <megous@megous.com>, 2013.

Official website is http://megatools.megous.com.